Skip to main content
GET
/
api
/
session
List sessions
curl --request GET \
  --url https://api.example.com/api/session
import requests

url = "https://api.example.com/api/session"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "projectID": "<string>",
      "cost": 123,
      "tokens": {
        "input": 123,
        "output": 123,
        "reasoning": 123,
        "cache": {
          "read": 123,
          "write": 123
        }
      },
      "time": {
        "created": 123,
        "updated": 123,
        "archived": 123
      },
      "title": "<string>",
      "location": {
        "directory": "<string>",
        "workspaceID": "<string>"
      },
      "parentID": "<string>",
      "fork": {
        "sessionID": "<string>",
        "messageID": "<string>"
      },
      "agent": "<string>",
      "model": {
        "id": "<string>",
        "providerID": "<string>",
        "variant": "<string>"
      },
      "subpath": "<string>",
      "revert": {
        "messageID": "<string>",
        "partID": "<string>",
        "snapshot": "<string>",
        "files": [
          {
            "file": "<string>",
            "patch": "<string>",
            "additions": 1,
            "deletions": 1
          }
        ]
      }
    }
  ],
  "cursor": {
    "previous": "<string>",
    "next": "<string>"
  }
}
{
"_tag": "InvalidCursorError",
"message": "<string>"
}
{
"_tag": "UnauthorizedError",
"message": "<string>"
}

Query Parameters

workspace
string | null
Pattern: ^wrk
limit
string | null

Maximum number of sessions to return. Defaults to the newest 50 sessions.

order
enum<string> | null

Session order for the first page. Use desc for newest first or asc for oldest first.

Available options:
asc,
desc
search
string | null
parentID

Filter by parent session. Use null to return only root sessions.

Pattern: ^ses
directory
string | null
project
string | null
subpath
string | null
cursor
string | null

Opaque pagination cursor returned as cursor.previous or cursor.next in the previous response.

Response

SessionsResponse

data
object[]
required
cursor
object
required